DKPDoor Knock Pro Docs
Leads

Update a lead

PATCH
/v1/leads/{id}

Authorization

X-Api-Key<token>

Company API key (format: dkp_...). Required on every request.

In: header

AuthorizationRequiredBearer <token>

In: header

Request Body

application/jsonRequired
namestring
emailstring
Format: "email"
phonestring
alter_emailstring
Format: "email"
alter_phonestring
notesstring
housestring
streetstring
citystring
state_provincestring
countrystring
zip_codestring
latitudeRequirednumber
Minimum: -90Maximum: 90
longitudeRequirednumber
Minimum: -180Maximum: 180
property_type_idinteger
team_idinteger
lead_status_idRequiredinteger
appointmentstring
Format: "date-time"
related_assetsarray<string>

Path Parameters

idRequiredinteger
curl -X PATCH "https://app.doorknockpro.com/api/v1/leads/0" \
  -H "X-Api-Key: <token>" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "string",
    "email": "[email protected]",
    "phone": "string",
    "alter_email": "[email protected]",
    "alter_phone": "string",
    "notes": "string",
    "house": "string",
    "street": "string",
    "city": "string",
    "state_province": "string",
    "country": "string",
    "zip_code": "string",
    "latitude": -90,
    "longitude": -180,
    "property_type_id": 0,
    "team_id": 0,
    "lead_status_id": 0,
    "appointment": "2019-08-24T14:15:22Z",
    "related_assets": [
      "string"
    ]
  }'

OK

{
  "data": {
    "id": 0,
    "name": "string",
    "email": "string",
    "phone": "string",
    "alter_email": "string",
    "alter_phone": "string",
    "notes": "string",
    "property_type_id": 0,
    "team_id": 0,
    "created_by": 0,
    "lead_status_id": 0,
    "appointment": "2019-08-24T14:15:22Z",
    "related_assets": [
      "string"
    ],
    "address": {
      "house": "string",
      "street": "string",
      "city": "string",
      "state_province": "string",
      "country": "string",
      "zip_code": "string"
    },
    "location": {
      "lat": 0,
      "lng": 0
    },
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
}